<?php

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');
 
db_extend('packages');

// Does it already exist?
$columns = $smcFunc['db_list_columns']('boards', false);

// Is it already there?
if (in_array('sort_method', $columns))
{
	echo '<b>Alert:</b> Column \'sort_method\' already exists in table \'smf_boards\'.
	Thank you for using Board Sort Methods 2 by drhamad of <a href="http://www.fmvperformance.com/">FMVperformance Automotive Communities.</a><br>
	You do not need to do this step.';
	return;
}
// Is it already there?
elseif (in_array('sort_boards', $columns))
{
	echo '<b>Alert:</b> Column \'sort_order\' already exists in table \'smf_boards\'.
	Thank you for using Board Sort Methods 2 by drhamad of <a href="http://www.fmvperformance.com/">FMVperformance Automotive Communities.</a><br>
	You do not need to do this step.';
	return;
}

$added = $smcFunc['db_add_column']('boards', array('name' => 'sort_method', 'type' => 'VARCHAR', 'size' => '60', 'default' => ''));
$added = $smcFunc['db_add_column']('boards', array('name' => 'sort_order', 'type' => 'TINYINT', 'default' => 0));

	echo '<b>Alert:</b> Columns \'sort_method\' and \'sort_order\' added to table \'smf_boards\'.<br>
	Thank you for using Board Sort Methods 2 by drhamad of <a href="http://www.fmvperformance.com/">FMVperformance Automotive Communities.</a>';

if (!$added)
	echo '<b>Error:</b> You are boned.';

?>